com.io7m.jstructural.xom

## Class SDocumentParser

- java.lang.Object
- - com.io7m.jstructural.xom.SDocumentParser

-     public final class SDocumentParser
      extends Object

  A document parser that uses XOM to process documents.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SDocument` | `fromStream(InputStream stream, URI uri, com.io7m.jlog.LogUsableType log)` Parse a document from a validated stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromStream

          public static SDocument fromStream(InputStream stream,
                                             URI uri,
                                             com.io7m.jlog.LogUsableType log)
                                      throws nu.xom.ValidityException,
                                             SAXException,
                                             ParserConfigurationException,
                                             nu.xom.ParsingException,
                                             IOException,
                                             URISyntaxException,
                                             nu.xom.xinclude.BadParseAttributeException,
                                             nu.xom.xinclude.InclusionLoopException,
                                             nu.xom.xinclude.NoIncludeLocationException,
                                             nu.xom.xinclude.XIncludeException

      Parse a document from a validated stream.
      Parameters:
        `uri` - The base URI of the document
        `stream` - The stream
        `log` - A log handle
      Returns:
        A document
      Throws:
        `SAXException` - On XML parse errors
        `ParserConfigurationException` - On parser configuration errors
        `nu.xom.ValidityException` - On XML validation errors
        `nu.xom.ParsingException` - On parser errors
        `IOException` - On I/O errors
        `URISyntaxException` - On failing to parse a URI
        `nu.xom.xinclude.XIncludeException` - If an xinclude fails
        `nu.xom.xinclude.NoIncludeLocationException` - If an xinclude fails
        `nu.xom.xinclude.InclusionLoopException` - If an xinclude fails
        `nu.xom.xinclude.BadParseAttributeException` - If an xinclude fails

Copyright © 2015 <code@io7m.com> http://io7m.com